###############################################################################
#
# Copyright (C) 2005 Red Hat, Inc. All Rights Reserved.
# Written by David Howells (dhowells@redhat.com)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version
# 2 of the License, or (at your option) any later version.
#
###############################################################################

package PatchWork::Bug;

use strict;

# internal variables
#  id
#  type
#  ref

sub new($)
{
	my ($cls) = @_;
	my $obj = {};
	bless($obj, $cls);
	$obj->{id} = ();
	$obj->{type} = ();
	$obj->{ref} = ();
	return $obj;
}

sub set(@)
{
	my ($obj) = shift;
	$obj->{type} = shift;
	$obj->{ref} = shift;
}

sub type(@)
{
	my ($obj) = shift;
	return $obj->{type};
}

sub ref(@)
{
	my ($obj) = shift;
	return $obj->{ref};
}

sub pretty(@)
{
	my ($obj) = shift;
	return $obj->{type} . $obj->{ref};
}

sub id(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{id} = shift; }
	return $obj->{id};
}

1;
