# Patchwork - automated patch tracking system
# Copyright (C) 2005 Jeremy Kerr <jk@ozlabs.org>
# - Modified by David Howells <dhowells@redhat.com>
#
# This file is part of the Patchwork package.
#
# Patchwork is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Patchwork is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Patchwork; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package PatchWork::Comment;

use strict;
use PatchWork::Bug;

# internal variables
#  id
#  submission	- Patch submission record
#  msgid
#  submitter
#  content
#  date
#  @bugs
#  %xbugs

sub new($)
{
	my ($cls) = @_;
	my $obj = {};
	bless($obj, $cls);
	$obj->{submission} = ();
	$obj->{bug} = ();
	return $obj;
}

sub id(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{id} = shift }
	return $obj->{id};
}

sub submission(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{submission} = shift }
	return $obj->{submission};
}

sub submitter(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{submitter} = shift }
	return $obj->{submitter};
}

sub msgid(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{msgid} = shift }
	return $obj->{msgid};
}

sub date(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{date} = shift }
	return $obj->{date};
}

sub content(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{content} = shift }
	return $obj->{content};
}

1;
