###############################################################################
#
# Copyright (C) 2005 Red Hat, Inc. All Rights Reserved.
# Written by David Howells (dhowells@redhat.com)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version
# 2 of the License, or (at your option) any later version.
#
###############################################################################

package PatchWork::PatchFile;

use strict;

# internal variables
#  id
#  submission
#  content
#  filename
#  patchix
#  @trees

sub new($)
{
	my ($cls) = @_;
	my $obj = {};
	bless($obj, $cls);
	$obj->{id} = ();
	$obj->{submission} = ();
	$obj->{content} = ();
	$obj->{filename} = ();
	$obj->{patchix} = 0;
	$obj->{trees} = {};
	return $obj;
}

sub id($;$)
{
	my ($obj) = shift;
	if (@_) { $obj->{id} = shift }
	return $obj->{id};
}

sub submission($;$)
{
	my ($obj) = shift;
	if (@_) { $obj->{submission} = shift }
	return $obj->{submission};
}

sub filename($;$)
{
	my ($obj) = shift;
	if (@_) { $obj->{filename} = shift }
	return $obj->{filename};
}

sub content($;$)
{
	my ($obj) = shift;
	if (@_) { $obj->{content} = shift }
	return $obj->{content};
}

sub patchix($;$)
{
	my ($obj) = shift;
	if (@_) { $obj->{patchix} = shift }
	return $obj->{patchix};
}

sub trees(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{trees} = shift }
	return $obj->{trees};
}

1;
