###############################################################################
#
# Copyright (C) 2005 Red Hat, Inc. All Rights Reserved.
# Written by David Howells (dhowells@redhat.com)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version
# 2 of the License, or (at your option) any later version.
#
###############################################################################

package PatchWork::Project;

use strict;

# internal variables
#  id
#  name
#  version
#  alias

sub new($)
{
	my ($cls) = @_;
	my $obj = {};
	bless($obj, $cls);
	$obj->{id} = ();
	$obj->{name} = ();
	$obj->{version} = ();
	$obj->{alias} = ();
	return $obj;
}

sub set(@)
{
	my ($obj) = shift;

	$obj->{name} = shift;
	$obj->{version} = shift;
	$obj->{alias} = shift;

	die "unspecified name" unless defined $obj->{name};
	die "unspecified version" unless defined $obj->{version};
}

sub name(@)
{
	my ($obj) = shift;
	return $obj->{name};
}

sub version(@)
{
	my ($obj) = shift;
	return $obj->{version};
}

sub alias(@)
{
	my ($obj) = shift;
	return $obj->{alias};
}

sub pretty(@)
{
	my ($obj) = shift;
	return $obj->{name} . '-' . $obj->{version};
}

sub id(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{id} = shift; }
	return $obj->{id};
}

1;
