# Patchwork - automated patch tracking system
# Copyright (C) 2005 Jeremy Kerr <jk@ozlabs.org>
#
# This file is part of the Patchwork package.
#
# Patchwork is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Patchwork is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Patchwork; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package PatchWork::Tree;

use strict;

# internal variables
#   id
#   name
#   url

sub new($$)
{
	my ($cls, $id) = @_;
	my $obj = {};
	bless($obj, $cls);
	$obj->{id} = $id;
	return $obj;
}

sub id($)
{
	my ($obj) = @_;
	return $obj->{id};

}

sub name(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{name} = shift }
	return $obj->{name};
}

sub url(@)
{
	my ($obj) = shift;
	if (@_) { $obj->{url} = shift }
	return $obj->{url};
}

1;
