#!/usr/bin/perl -wT
#
# Patchwork - automated patch tracking system
# Copyright (C) 2005 Jeremy Kerr <jk@ozlabs.org>
#
# This file is part of the Patchwork package.
#
# Patchwork is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Patchwork is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Patchwork; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

use strict;
use lib '../lib';

use SOAP::Transport::HTTP;
use PatchWork::SiteConfig;
use PatchWork::PatchDatabase;

my $config = new PatchWork::SiteConfig() or die "Couldn't load configuration";
my $db = new PatchWork::PatchDatabase($config);

SOAP::Transport::HTTP::CGI->dispatch_to('SOAPInterface')->handle;

package SOAPInterface;

sub get_patches()
{
	my @patches = $db->get_patches();
	$_->content('') for @patches;
	return \@patches;
}

sub get_patch($$)
{
	my (undef, $id) = @_;
	return $db->get_patch($id);
}

sub search($$)
{
	my (undef, $query) = @_;
	my @patches = $db->search($query);
	return \@patches;
}

